import request from '@/utils/request'

// 查询配种计划生成列表
export function listBreedPlanGenerate(query) {
    return request({
        url: '/mating_plan/generate/list',
        method: 'get',
        params: query
    })
}

// 查询配种计划生成详细
export function getBreedPlanGenerate(id) {
    return request({
        url: '/mating_plan/generate/' + id,
        method: 'get'
    })
}

// 筛选符合条件的母羊
export function selectEligibleEwe() {
    return request({
        url: '/mating_plan/generate/selectEwe',
        method: 'get'
    })
}

// 筛选符合条件的公羊
export function selectEligibleRam() {
    return request({
        url: '/mating_plan/generate/selectRam',
        method: 'get'
    })
}

// 自动生成配种计划
export function autoGenerateBreedPlan(data) {
    return request({
        url: '/mating_plan/generate/auto',
        method: 'post',
        data: data
    })
}

// 新增配种计划生成
export function addBreedPlanGenerate(data) {
    return request({
        url: '/mating_plan/generate',
        method: 'post',
        data: data
    })
}

// 修改配种计划生成
export function updateBreedPlanGenerate(data) {
    return request({
        url: '/mating_plan/generate',
        method: 'put',
        data: data
    })
}

// 审批配种计划
export function approveBreedPlan(id) {
    return request({
        url: '/mating_plan/generate/approve/' + id,
        method: 'put'
    })
}

// 查看配种计划详情
export function viewBreedPlan(id) {
    return request({
        url: '/mating_plan/generate/view/' + id,
        method: 'get'
    })
}

// 删除配种计划生成
export function delBreedPlanGenerate(id) {
    return request({
        url: '/mating_plan/generate/' + id,
        method: 'delete'
    })
}